## isc-dhcp 4.3.5-3ubuntu7+9.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.5-3ubuntu7+9.0trisquel1) etiona; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 01 May 2019 02:15:50 +0000

isc-dhcp (4.3.5-3ubuntu7) bionic; urgency=medium

  * bind-includes.patch: Copied from Debian to fix build with bind
    9.11.3.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Apr 2018 13:40:34 +0300

isc-dhcp (4.3.5-3ubuntu6) bionic; urgency=medium

  * debian/apparmor/sbin.dhclient: drop 'capability sys_module' since we
    already have 'net_admin' and network module loading (which might happen via
    ip/ifconfig/etc) allowed with 'net_admin' (LP: #1759032)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 26 Mar 2018 21:00:32 +0000

isc-dhcp (4.3.5-3ubuntu5) bionic; urgency=medium

  * SECURITY UPDATE: DoS via omapi
    - debian/patches/CVE-2018-573x.patch: fix socket descriptor leak in
      omapip/buffer.c, omapip/message.c.
    - CVE-2017-3144
  * SECURITY UPDATE: buffer overflow in dhclient
    - debian/patches/CVE-2018-573x.patch: check option data size in
      common/options.c, add tests to common/tests/Makefile.am,
      common/tests/option_unittest.c.
    - CVE-2018-5732
  * SECURITY UPDATE: reference counter overflow in dhcpd
    - debian/patches/CVE-2018-573x.patch: avoid overflow in
      common/options.c.
    - CVE-2018-5733

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Mar 2018 07:48:09 -0500

isc-dhcp (4.3.5-3ubuntu4) bionic; urgency=medium

  * dhclient-script.linux: handle empty case also when waiting for ipv6 link
    local DAD. (LP: #1718568)

 -- Dan Streetman <dan.streetman@canonical.com>  Thu, 12 Oct 2017 08:48:06 -0400

isc-dhcp (4.3.5-3ubuntu3) bionic; urgency=medium

  * No-change rebuild against the new SOVERs of bind9 libraries.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Jan 2018 15:44:15 -0700

isc-dhcp (4.3.5-3ubuntu2) artful; urgency=medium

  * debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix the
    logic for handling search domains to also write it to the output file when
    only the domain name is provided by the DHCP server. Copied code from
    debian/dhclient-script.linux. (LP: #1713747)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 14 Sep 2017 15:41:06 -0700

isc-dhcp (4.3.5-3ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apparmor profiles for dhclient and dhcpd.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - debian/patches/ubuntu-dhcpd-conf.patch:
      - Add an 'option subnet-mask' example to config.
      - document precedence of /etc/ltsp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Sanitize environment in dhclient-script.linux.
    - add IPv6 initramfs support.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server.
      + multi-ip-addr-per-if.
      + dhclient-safer-timeout.
      + onetry_retry_after_initial_success.
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + system-bind.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
  * Dropped changes, included in Debian:
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
    - Drop unused build dependency on hardening-wrapper.
    - dhcp-getifaddrs.patch
  * Dropped changes, included upstream:
    - CVE-2015-8605.patch
  * Dropped changes:
    - suggests on apparmor is unnecessary; drop.
    - Upstart jobs: no longer needed post-xenial; drop.
  * Refresh patches dhcp-lpf-ib.patch, dhcp-improved-xid.patch,
    dhcp-improved-xid-correct-byte-order.patch,
    dhcp-4.2.4-dhclient-options-changed.patch.
  * Refresh patch multi-ip-addr-per-if, and refactor.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Jan 2017 09:11:21 -0800

isc-dhcp (4.3.3-5ubuntu19) zesty; urgency=medium

  [Mathieu Trudel-Lapierre]
  * debian/initramfs/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix script to
    not write to /run/net-$iface.conf when dealing with IPv6; which should only
    write to a /run/net6-$iface.conf file. (LP: #1621507)
  * debian/README.Debian: document what this config script is and why a hook is
    shipped for the initramfs.

 -- LaMont Jones <lamont@canonical.com>  Thu, 15 Dec 2016 10:23:20 -0700

isc-dhcp (4.3.3-5ubuntu18) zesty; urgency=medium

  * debian/initramfs/lib/etc/dhcp/dhclient-enter-hooks.d/config: also write
    DEVICE6 to the /run/net6-$iface.conf file.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 04 Nov 2016 09:51:37 -0600

isc-dhcp (4.3.3-5ubuntu17) zesty; urgency=medium

  * debian/initramfs/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix script to
    not write to /run/net-$iface.conf when dealing with IPv6; which should only
    write to a /run/net6-$iface.conf file.
  * debian/README.Debian: document what this config script is and why a hook is
    shipped for the initramfs.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 21 Oct 2016 12:46:20 -0400

isc-dhcp (4.3.3-5ubuntu16) zesty; urgency=medium

  * ipv6: wait for duplicate address detection to finish (LP: #1633479).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Oct 2016 12:55:33 -0400

isc-dhcp (4.3.3-5ubuntu15) yakkety; urgency=medium

  * Drop unused build dependency on hardening-wrapper.


