## isc-dhcp 4.3.5-3ubuntu7.1+9.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.5-3ubuntu7.1+9.0trisquel1) etiona-security; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Nov 2019 12:48:14 +0000

isc-dhcp (4.3.5-3ubuntu7.1) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via change in bind behaviour (LP: #1781699)
    - debian/patches/CVE-2019-6470.patch: use 0 instead of -1 to indicate
      empty heap index in includes/dhcpd.h, server/mdb6.c,
      server/tests/mdb6_unittest.c.
    - CVE-2019-6470

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 May 2019 09:00:01 -0400
