## isc-dhcp 4.3.5-3ubuntu7.2+9.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.5-3ubuntu7.2+9.0trisquel1) etiona; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 24 Mar 2021 00:38:04 +0000

isc-dhcp (4.3.5-3ubuntu7.2) bionic; urgency=medium

  * Fix env variable for INTERFACES (LP: #1894172)
    - d/isc-dhcp-server.isc-dhcp-server{,6}.service: Replace $INTERFACES
      variable with $INTERFACEv4 and $INTERFACESv6, respectively, for
      respective services file.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 10 Mar 2021 19:57:51 +0530
