## isc-dhcp 4.3.5-3ubuntu7.3+9.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.5-3ubuntu7.3+9.0trisquel1) etiona-security; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 27 May 2021 11:36:12 +0000

isc-dhcp (4.3.5-3ubuntu7.3) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via incorrect option information parsing
    - debian/patches/CVE-2021-25217.patch: fix parsing in common/parse.c.
    - CVE-2021-25217

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 May 2021 06:50:53 -0400
