## isc-dhcp 4.3.5-3ubuntu7.4+9.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.5-3ubuntu7.4+9.0trisquel1) etiona-security; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 06 Oct 2022 18:39:14 +0000

isc-dhcp (4.3.5-3ubuntu7.4) bionic-security; urgency=medium

  * SECURITY UPDATE: option refcount overflow
    - debian/patches/CVE-2022-2928.patch: correct reference counts in
      common/options.c, common/tests/option_unittest.c.
    - CVE-2022-2928
  * SECURITY UPDATE: DHCP memory leak
    - debian/patches/CVE-2022-2929.patch: properly free memory when hitting
      errors in common/options.c.
    - CVE-2022-2929

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Oct 2022 09:38:12 -0400
