=== debian/control ===
Source: isc-dhcp
Section: net
Priority: important
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
Vcs-Git: https://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
Homepage: http://www.isc.org
Build-Depends:
 dpkg-dev (>= 1.13.2),
 debhelper (>= 9.20151220),
 dh-apport,
 dh-apparmor,
 dh-autoreconf,
 dh-systemd,
 groff,
 pkg-config,
 po-debconf,
 libcap-dev,
 libssl-dev,
 libldap2-dev,
 libbind-export-dev (>= 1:9.10.3.dfsg.P4-2),
Standards-Version: 3.9.8

Package: isc-dhcp-server
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 lsb-base,
 adduser
Recommends:
 isc-dhcp-common,
Breaks:
 isc-dhcp-common (<= 4.3.3-1),
 logcheck-database (<= 1.3.17~)
Replaces:
 isc-dhcp-common (<= 4.3.3-1),
Suggests:
 policykit-1,
 isc-dhcp-server-ldap,
 policycoreutils,
Description: ISC DHCP server for automatic IP address assignment
 This is the Internet Software Consortium's DHCP server.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This server can handle multiple ethernet interfaces.

Package: isc-dhcp-server-ldap
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 isc-dhcp-server (= ${binary:Version}),
Conflicts:
 dhcp,
Enhances: isc-dhcp-server
Description: DHCP server that uses LDAP as its backend
 This is the server from the Internet Software Consortium's implementation of
 DHCP.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration.
 .
 This is the DHCP server with LDAP patches applied to it.

Package: isc-dhcp-common
Architecture: any
Depends:
 ${misc:Depends},
 debianutils (>= 2.8.2),
Description: common manpages relevant to all of the isc-dhcp packages
 This package includes manpages that are relevant to the various ISC DHCP
 packages.
 .
 The dhcp-options manpage describes available options for dhcpd and dhclient.
 The dhcp-eval manpage describes evaluation of conditional expressions.

Package: isc-dhcp-dev
Priority: optional
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 libc6-dev,
Description: API for accessing and modifying the DHCP server and client state
 This package provides support for OMAPI (Object Management Application
 Programming Interface), which is an API for accessing and modifying the DHCP
 server and client state.

Package: isc-dhcp-client
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 debianutils (>= 2.8.2),
 iproute2 [linux-any] | freebsd-net-tools [kfreebsd-any],
Recommends:
 isc-dhcp-common,
Suggests:
 resolvconf,
 avahi-autoipd,
 isc-dhcp-client-ddns,
Provides:
 dhcp-client,
Description: DHCP client for automatically obtaining an IP address
 This is the Internet Software Consortium's DHCP client.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-ddns
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 isc-dhcp-client (= ${binary:Version}),
Enhances: isc-dhcp-client
Description: Dynamic DNS (DDNS) enabled DHCP client
 This a Dynamic DNS enabled version of the DHCP client.
 .
 Dynamic Host Configuration Protocol (DHCP) is a protocol like BOOTP
 (actually dhcpd includes much of the functionality of bootpd). It
 gives client machines "leases" for IP addresses and can
 automatically set their network configuration. If your machine
 depends on DHCP (especially likely if it's a workstation on a large
 network, or a laptop, or attached to a cable modem), keep this or
 another DHCP client installed.
 .
 Extra documentation can be found in the package isc-dhcp-common.

Package: isc-dhcp-client-udeb
Priority: extra
Architecture: any
Section: debian-installer
Depends:
 ${shlibs:Depends},
Package-Type: udeb
Description: ISC DHCP Client for debian-installer

Package: isc-dhcp-relay
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 debianutils (>= 2.8.2),
Recommends:
 isc-dhcp-common,
Conflicts:
 dhcp-relay,
Description: ISC DHCP relay daemon
 This is the Internet Software Consortium's DHCP relay.
 .
 Installing this package will make the machine a DHCP relay, which
 requires a reachable DHCP or BOOTP server in order to function.
 .
 Extra documentation can be found in the package isc-dhcp-common.
