=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: isc-dhcp
 Section: net
 Priority: important
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ISC DHCP Maintainers <isc-dhcp@packages.debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
-Vcs-Git: https://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
 Homepage: http://www.isc.org
 Build-Depends:
  dpkg-dev (>= 1.13.2),
- debhelper (>= 9.20151220),
+ debhelper (>= 9.20160709),
  dh-apport,
  dh-apparmor,
  dh-autoreconf,
- dh-systemd,
  groff,
  pkg-config,
  po-debconf,
  libcap-dev,
- libssl-dev,
  libldap2-dev,
- libbind-export-dev (>= 1:9.10.3.dfsg.P4-2),
+ libbind-export-dev (>= 1:9.11.5),
 Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/dhcp-team/isc-dhcp.git
+Vcs-Browser: https://salsa.debian.org/dhcp-team/isc-dhcp
 
 Package: isc-dhcp-server
 Priority: optional
@@ -149,7 +147,7 @@
  Extra documentation can be found in the package isc-dhcp-common.
 
 Package: isc-dhcp-client-udeb
-Priority: extra
+Priority: important
 Architecture: any
 Section: debian-installer
 Depends:
