## isc-dhcp 4.4.1-2.1ubuntu5.20.04.1+10.0trisquel1

=== debian/changelog ===
isc-dhcp (4.4.1-2.1ubuntu5.20.04.1+10.0trisquel1) nabia; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 24 Mar 2021 00:38:23 +0000
