## isc-dhcp 4.4.1-2.1ubuntu5.20.04.2+10.0trisquel1

=== debian/changelog ===
isc-dhcp (4.4.1-2.1ubuntu5.20.04.2+10.0trisquel1) nabia-security; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 27 May 2021 11:36:33 +0000
