## isc-dhcp 4.4.1-2.1ubuntu5.20.04.3+10.0trisquel1

=== debian/changelog ===
isc-dhcp (4.4.1-2.1ubuntu5.20.04.3+10.0trisquel1) nabia; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 09 Jul 2022 06:25:25 +0000
