## isc-dhcp 4.4.1-2.1ubuntu5.20.04.4+10.0trisquel1

=== debian/changelog ===
isc-dhcp (4.4.1-2.1ubuntu5.20.04.4+10.0trisquel1) nabia-security; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 05 Oct 2022 17:38:56 +0000
