=== debian/control ===
--- 
+++ 
@@ -150,6 +150,7 @@
 Priority: important
 Architecture: any
 Section: debian-installer
+Build-Profiles: <!noudeb>
 Depends:
  ${shlibs:Depends},
 Package-Type: udeb
