## isc-dhcp 4.4.1-cl4.3.1u4

=== debian/changelog ===
isc-dhcp (4.4.1-cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    1ed1b13dde60e563d828136fc05ca027d0fd6cc0

 -- root <root@7490f848894d>  Tue, 14 Jun 2022 22:19:57 +0000

isc-dhcp (4.4.1-cl4.3.1u1) RELEASED; urgency=medium

  * Closes: #2679949 - Apply patch for CVE-2021-25217.

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 04 Jun 2020 14:31:01 -0700

isc-dhcp (4.4.1-cl4.3.0u1) RELEASED; urgency=medium

  * Cumulus Linux 4.3.0 Release
  * Closes: CM-29064 - Fix for default options in dhcpd6 unit file

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 11 Dec 2020 11:42:53 -0800

isc-dhcp (4.4.1-cl4u5) RELEASED; urgency=low

  * Cumulus Linux 4.2 Release

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 15:31:00 -0700

isc-dhcp (4.4.1-cl4u4) RELEASED; urgency=medium

  * Cumulus Linux 4.0 Beta 3 Release
  * Closes: CM-24824: During interface init, do not add duplicate addresses to
                      the list

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 31 Jul 2019 12:00:00 -0700

isc-dhcp (4.4.1-cl4u3) RELEASED; urgency=medium

  * Cumulus Linux 4.0 Beta 2 Release
  * Closes: CM-24615: DHCP on eth0 send "Cumulus-Linux" in the DCHP
            vendor-class-identifier

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 21 Jun 2019 12:00:00 -0700

isc-dhcp (4.4.1-cl4u2) RELEASED; urgency=medium

  * Upgrade to upstream 4.4.1 for CL 4.0

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 30 Apr 2019 12:00:00 -0700

isc-dhcp (4.3.1-6-cl4u1) RELEASED; urgency=medium

  * Cumulus Linux 4.0 release

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 22 Apr 2019 12:00:00 -0700

isc-dhcp (4.3.1-6-cl3u12) RELEASED; urgency=medium

  * Cumulus Linux 3.7.2 release
  * Closes: CM-22779 - Fix dhcrelay core when using -U option

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 23 Oct 2018 12:00:00 -0700

isc-dhcp (4.3.1-6-cl3u11) RELEASED; urgency=medium

  * Cumulus Linux 3.6.2 release
  * Closes: CM-19918 - Support RFC 3527 link sub-option

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 29 Jun 2018 12:00:00 -0700

isc-dhcp (4.3.1-6-cl3u10) RELEASED; urgency=medium

  * Cumulus Linux 3.6 release
  * Closes: CM-19996 - Fixed DSA-4133-1 CVE-2017-3144 CVE-2018-5732 CVE-2018-5733
  * Closes: CM-19689 - Reduce log verbosity by disabling stderr output

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 06 Apr 2018 12:00:00 -0700

isc-dhcp (4.3.1-6-cl3u9) RELEASED; urgency=medium

  * Closes: CM-18619 - Dont process outgoing packets in rx handler
  * Closes: CM-18790 - Suppress confusing log when DHCP requests are dropped

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 28 Nov 2017 12:00:00 -0700

isc-dhcp (4.3.1-6-cl3u8) RELEASED; urgency=medium

  * New. Enabled - Added new config files for dhcp v6 servers
  * Closes: CM-17473 - Fix server core during packet transmission

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 06 Aug 2017 05:00:00 -0700

isc-dhcp (4.3.1-6-cl3u7) RELEASED; urgency=medium

  * New. Enabled - Added new option --use-pif-circuit-id

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 14 Apr 2017 05:00:00 -0700

isc-dhcp (4.3.1-6-cl3u6) RELEASED; urgency=medium

  * New. Enabled - Added default relay config file for v6
  * Closes: CM-14289 - Fix relay/server core when multiple netlink msgs arrive

 -- dev-support <dev-support@cumulusnetworks.com>  Thurs, 19 Jan 2017 05:00:00 -0700

isc-dhcp (4.3.1-6-cl3u5) RELEASED; urgency=medium

  * New. Enabled - Added Option 82 Remote-ID sub-obtion support in Relay
  * Closes: CM-11695 - No need to mention server facing interfaces in v4 relay

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 17 Oct 2016 05:00:00 -0700

isc-dhcp (4.3.1-6-cl3u4) RELEASED; urgency=medium

  * Closes: CM-12998 - Fix interface object reference count handling

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 14 Oct 2016 05:00:00 -0700

isc-dhcp (4.3.1-6-cl3u3) RELEASED; urgency=medium

  * Set initial address to 0.0.0.0 on hurd (closes: #875566).
    - Thanks to Joan Lledó.
  * Update IPv4 address lifetimes on renew (closes: #834532).
    - Thanks to Sven Ulland.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 11 Dec 2018 03:55:12 +0000
