=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: isc-dhcp
 Section: net
 Priority: important
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian ISC DHCP Maintainers <isc-dhcp@packages.debian.org>
+Maintainer: dev-support <dev-support@cumulusnetworks.com>
 Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
 Homepage: http://www.isc.org
 Build-Depends:
  dpkg-dev (>= 1.13.2),
- debhelper (>= 9.20160709),
- dh-apport,
- dh-apparmor,
+ debhelper (>= 9.20151220),
  dh-autoreconf,
  groff,
+ git,
  pkg-config,
  po-debconf,
- libcap-dev,
  libldap2-dev,
  libbind-export-dev (>= 1:9.11.5),
+ dh-autoreconf,
+ debhelper (>= 9),
+ dpkg-dev (>= 1.13.2),
+ dh-systemd,
 Standards-Version: 3.9.8
-Vcs-Git: https://salsa.debian.org/dhcp-team/isc-dhcp.git
-Vcs-Browser: https://salsa.debian.org/dhcp-team/isc-dhcp
+XS-Build-Source: True
+XS-Cumulus-Valid-Arch: amd64 armel
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-server
 Priority: optional
@@ -29,9 +31,9 @@
  ${shlibs:Depends},
  debianutils (>= 2.8.2),
  lsb-base,
- adduser
 Recommends:
  isc-dhcp-common,
+ policycoreutils,
 Breaks:
  isc-dhcp-common (<= 4.3.3-1),
  logcheck-database (<= 1.3.17~)
@@ -40,7 +42,6 @@
 Suggests:
  policykit-1,
  isc-dhcp-server-ldap,
- policycoreutils,
 Description: ISC DHCP server for automatic IP address assignment
  This is the Internet Software Consortium's DHCP server.
  .
@@ -50,6 +51,7 @@
  automatically set their network configuration.
  .
  This server can handle multiple ethernet interfaces.
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-server-ldap
 Priority: optional
@@ -72,6 +74,7 @@
  automatically set their network configuration.
  .
  This is the DHCP server with LDAP patches applied to it.
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-common
 Architecture: any
@@ -84,6 +87,7 @@
  .
  The dhcp-options manpage describes available options for dhcpd and dhclient.
  The dhcp-eval manpage describes evaluation of conditional expressions.
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-dev
 Priority: optional
@@ -96,6 +100,7 @@
  This package provides support for OMAPI (Object Management Application
  Programming Interface), which is an API for accessing and modifying the DHCP
  server and client state.
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-client
 Architecture: any
@@ -124,6 +129,7 @@
  another DHCP client installed.
  .
  Extra documentation can be found in the package isc-dhcp-common.
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-client-ddns
 Priority: optional
@@ -145,16 +151,17 @@
  another DHCP client installed.
  .
  Extra documentation can be found in the package isc-dhcp-common.
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-client-udeb
 Priority: important
 Architecture: any
 Section: debian-installer
-Build-Profiles: <!noudeb>
 Depends:
  ${shlibs:Depends},
 Package-Type: udeb
 Description: ISC DHCP Client for debian-installer
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
 
 Package: isc-dhcp-relay
 Priority: optional
@@ -175,3 +182,5 @@
  requires a reachable DHCP or BOOTP server in order to function.
  .
  Extra documentation can be found in the package isc-dhcp-common.
+XBCS-Vcs-Hash: 1ed1b13dde60e563d828136fc05ca027d0fd6cc0
+
