=== debian/rules ===
--- 
+++ 
@@ -31,39 +31,56 @@
 CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --with-randomdev=/dev/random
 endif
 
+AUTO_CONF=
+ifneq (,$(filter sanitizer,$(DEB_BUILD_OPTIONS)))
+	AUTO_CONF = --enable-sanitizer
+endif
+
 # hurd support
 ifeq ($(DEB_HOST_ARCH_OS), hurd)
 export DO_LPF=1
 CONFFLAGS+=--enable-use-sockets
 endif
 
+# Cumulus added
+CONFFLAGS+=--enable-netlink=yes
+CONFFLAGS+=--enable-giaddr-src=yes
+CONFFLAGS+=--enable-remote-id=yes
+CONFFLAGS+=--enable-cumulus=yes
+
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel --with autoreconf,systemd
 
 override_dh_auto_configure:
 
 override_dh_auto_build:
 	# ldap-enabled build
 	test -f Makefile && $(MAKE) distclean || true
-	./configure --with-ldap --with-ldapcrypto CFLAGS="$(CFLAGS) -DNSUPDATE" LIBS="-lirs-export $(LIBS)" $(CONFFLAGS)
+	./configure --with-ldap --with-ldapcrypto CFLAGS="$(CFLAGS) -DNSUPDATE" LDFLAGS="-lirs-export $(LDFLAGS)" $(CONFFLAGS) $(AUTO_CONF)
 	$(MAKE)
 	mv server/dhcpd dhcpd
 	# ddns-disabled build
 	test -f Makefile && $(MAKE) distclean || true
-	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS)
+	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS) $(AUTO_CONF)
 	$(MAKE)
 	mv client/dhclient dhclient
 	# ldap-disabled build
 	test -f Makefile && $(MAKE) distclean || true
-	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" LIBS="-lirs-export $(LIBS)" $(CONFFLAGS)
+	./configure CFLAGS="$(CFLAGS) -DNSUPDATE" LDFLAGS="-lirs-export $(LDFLAGS)" $(CONFFLAGS) $(AUTO_CONF)
 	$(MAKE)
 
 override_dh_install:
 	# rename some upstream files
 	cp RELNOTES debian/tmp/changelog
 	cp server/dhcpd.conf.example debian/tmp/dhcpd.conf
-	cp doc/examples/dhcpd-dhcpv6.conf debian/tmp/dhcpd6.conf
+	cp server/dhcpd6.conf.example debian/tmp/dhcpd6.conf
 	# install
+	install --mode=644 -D debian/isc-dhcp-relay.dhcrelay6.service debian/tmp/lib/systemd/system/dhcrelay6.service
+	install --mode=644 -D debian/isc-dhcp-relay.dhcrelay@.service debian/tmp/lib/systemd/system/dhcrelay@.service
+	install --mode=644 -D debian/isc-dhcp-relay.dhcrelay6@.service debian/tmp/lib/systemd/system/dhcrelay6@.service
+	install --mode=644 -D debian/isc-dhcp-server.dhcpd6.service debian/tmp/lib/systemd/system/dhcpd6.service
+	install --mode=644 -D debian/isc-dhcp-server.dhcpd@.service debian/tmp/lib/systemd/system/dhcpd@.service
+	install --mode=644 -D debian/isc-dhcp-server.dhcpd6@.service debian/tmp/lib/systemd/system/dhcpd6@.service
 	dh_install
 	# rename scripts
 	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS) \
@@ -80,18 +97,22 @@
 	    -e 's/CLIENTBINDIR/\/sbin/g' \
 	    -e 's/DBDIR/\/var\/lib\/dhcp/g' \
 	    -i debian/tmp/usr/share/man/man*/*
-	dh_apparmor -pisc-dhcp-client --profile-name=sbin.dhclient
-	dh_apparmor -pisc-dhcp-server --profile-name=usr.sbin.dhcpd
-	dh_apport -a
 
 override_dh_installinit:
 	dh_installinit -Nisc-dhcp-server
-	dh_systemd_enable -pisc-dhcp-server --name isc-dhcp-server
-	dh_installinit -pisc-dhcp-server --name isc-dhcp-server
-	dh_systemd_start -pisc-dhcp-server --name isc-dhcp-server
-	dh_systemd_enable -pisc-dhcp-server --name isc-dhcp-server6
-	dh_systemd_start -pisc-dhcp-server --name isc-dhcp-server6
-	dh_systemd_enable -pisc-dhcp-relay --name isc-dhcp-relay
-	dh_systemd_start -pisc-dhcp-relay --name isc-dhcp-relay
-	dh_systemd_enable -pisc-dhcp-relay --name isc-dhcp-relay6
-	dh_systemd_start -pisc-dhcp-relay --name isc-dhcp-relay6
+	dh_installinit -pisc-dhcp-server --error-handler=init_script_error_handler
+
+override_dh_strip:
+	dh_strip --ddeb-migration='isc-dhcp-dbg (<< 4.3.3-7~)'
+
+override_dh_clean:
+	rm -rf bind
+	dh_clean -- dhcpd config.*
+
+override_dh_systemd_enable:
+	dh_systemd_enable --no-enable --name=dhcpd dhcpd.service
+	dh_systemd_enable --no-enable --name=dhcrelay dhcrelay.service
+
+override_dh_systemd_start:
+	dh_systemd_start --no-start --name=dhcpd
+	dh_systemd_start --no-start --name=dhcrelay
